Package com.ocient.jdbc.proto

# Interface PlanProtocol.GatherOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.GatherOperator`, `PlanProtocol.GatherOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.GatherOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.GatherLevel` | `getLevel()` | `.xg.db.sqlPlans.GatherLevel level = 1;`
`int` | `getLevelValue()` | `.xg.db.sqlPlans.GatherLevel level = 1;`
`boolean` | `getZerocopy()` | `bool zerocopy = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getLevelValue

int getLevelValue()
`.xg.db.sqlPlans.GatherLevel level = 1;`

### getLevel

PlanProtocol.GatherLevel getLevel()
`.xg.db.sqlPlans.GatherLevel level = 1;`

### getZerocopy

boolean getZerocopy()
`bool zerocopy = 2;`